kind: Service
apiVersion: v1
metadata:
  name: madhaiyan-app
  namespace: demo-app
  labels:
    app.k8s.io/name: madhaiyan-app
spec:
  type: NodePort
  ports:
  - port: 8080
    targetPort: 80
    protocol: TCP
    name: http
  selector:
    app.k8s.io/name: madhaiyan-app
